### Method

# Ide EditorSearch get_search_text

#### Declaration

    const gchar*
    ide_editor_search_get_search_text (
      IdeEditorSearch* self
    )

#### Description

Gets the search-text currently being searched.

Available since: | 3.32

Gets property | `Ide.EditorSearch:search-text`

#### Return value

Returns: | `const gchar*`
| The search text or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.